Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
Class Node

    java.lang.Object
      groovy.util.slurpersupport.Node

All Implemented Interfaces:
  Writable

    public class Node

extends Object
implements Writable

Author:
  John Wilson

Constructor Summary
`Node(Node parent, String name, Map attributes, Map attributeNamespaces, String namespaceURI)`

Method Summary
`void` | `addChild(Object child)`
`protected void` | `appendNode(Object newValue, GPathResult result)`
`Map` | `attributes()`
`void` | `build(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)`
`Iterator` | `childNodes()`
`List` | `children()`
`String` | `name()`
`String` | `namespaceURI()`
`protected void` | `replaceBody(Object newValue)`
`void` | `replaceNode(Closure replacementClosure, GPathResult result)`
`String` | `text()`
`Writer` | `writeTo(Writer out)` writes this object to the given stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node

    public Node(Node parent,
                String name,
                Map attributes,
                Map attributeNamespaces,
                String namespaceURI)

Method Detail

### name

    public String name()

### namespaceURI

    public String namespaceURI()

### attributes

    public Map attributes()

### children

    public List children()

### addChild

    public void addChild(Object child)

### replaceNode

    public void replaceNode(Closure replacementClosure,
                            GPathResult result)

### replaceBody

    protected void replaceBody(Object newValue)

### appendNode

    protected void appendNode(Object newValue,
                              GPathResult result)

### text

    public String text()

### childNodes

    public Iterator childNodes()

### writeTo

    public Writer writeTo(Writer out)
                   throws IOException

  Description copied from interface: `Writable`
  writes this object to the given stream

  Specified by:
    `writeTo` in interface `Writable`
  Throws:
    `IOException`

### build

    public void build(GroovyObject builder,
                      Map namespaceMap,
                      Map namespaceTagHints)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD